2009-05-12 10:05:46
Luthor's Compass 1.0 ____________________ **Requires Bloodmoon** Bloodmoon functionality is required for an essential script component. The archive includes two TES files. - "Luthor's Compass 1.0.esp" adds Luthor's Compass to the ...